Bug 5530 - systemd-efi-boot-generator writes incorrect path in boot-efi.mount when using UEFI with non-GPT disk
: systemd-efi-boot-generator writes incorrect path in boot-efi.mount when using...
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-12 16:39 MSD by a.lahin
Modified: 2015-05-18 13:59 MSD (History)
2 users (show)

See Also:
RPM Package: systemd
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description a.lahin 2015-05-12 16:39:31 MSD
With systemd-208-53.20141106.12-rosa2014.1.x86_64 on UEFI-system with the MBR partition table we get:
1) "ls /boot/efi" hangs

2) systemctl status boot-efi.mount
Loaded: loaded (/run/systemd/generator/boot-efi.mount)
Active: inactive (dead)
Where: /boot/efi
What: /dev/disk/by-partuuid/{some_id}

3) /dev/disk/by-partuuid/ does not exist.

4) journalctl -x | grep -i ef
systemd[1]: Dependency failed for EFI System Partition.
Comment 2 a.lahin 2015-05-12 17:49:14 MSD
Advisory: "Update systemd"

Fresh:

https://abf.io/build_lists/2500429
https://abf.io/build_lists/2500430
Comment 3 Vladimir Potapov 2015-05-14 16:09:49 MSD
The update is sent to expanded testing
***************************************
Comment 4 Vladimir Potapov 2015-05-18 12:35:08 MSD
systemd-208-53.20141106.14
https://abf.io/build_lists/2500429
https://abf.io/build_lists/2500430
********************* Advisory ****************************
Systemd update for fix bug#5530
***********************************************************
QA Verified